Package com.documentum.fc.client

# Class DfServiceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.documentum.fc.common.DfException
com.documentum.fc.client.DfServiceException

All Implemented Interfaces:
  `IDfException`, `Serializable`

Direct Known Subclasses:
  `DfAuthenticationException`, `DfDborNotFoundException`, `DfDocbrokerException`, `DfIdentityException`, `DfIOException`, `DfPrincipalException`, `DfServiceInstantiationException`, `DfServiceNotFoundException`

public class DfServiceException extends DfException
This class provides error information. It extends Java Exception and DFC DfException. This class is supported for backward compatability only. Exceptions of this type really have no meaning beyond DfException. A number of exception classes extend this class. Most classes would extend DfException rather than extend this class but they extend this class so that they can pass freely through the session manager and BOF APIs.

Since:
  5.1
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DM_VEL_CANNOT_AUTHENTICATE`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VEL_DBOR_IO_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VEL_DBOR_NOT_FOUND`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VEL_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VEL_IDENTITY_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VEL_INSTANTIATION_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VEL_PRINCIPAL_ERROR`
  Deprecated.
  The alphanumeric identifiers should be used instead
  `static final int`
  `DM_VEL_SERVICE_NOT_FOUND`
  Deprecated.
  The alphanumeric identifiers should be used instead

  ### Fields inherited from interface com.documentum.fc.common.IDfException

  `DFC_E_BAD_FULL_FORMAT, DM_DFC_E_BAD_CLASS, DM_DFC_E_BAD_INDEX, DM_DFC_E_BAD_VALUE, DM_DFC_E_CLASS_NOT_FOUND, DM_DFC_E_CONVERTED_EXCEPTION, DM_DFC_E_INIT_DMCL, DM_DFC_E_INIT_ERROR, DM_DFC_E_INVALID_OPER_ON_MANAGED_SESSION, DM_DFC_E_NOT_PROGRAMMATIC, DM_DFC_E_NOT_SUPPORTED, DM_DFC_E_NOT_SUPPORTED_BY_SERVER, DM_DFC_E_NOT_SUPPORTED_FOR_GETTING_SYSOBJECT_ATTRIBUTE, DM_DFC_E_NOT_SUPPORTED_FOR_MODIFYING_SYSOBJECT_ATTRS, DM_DFC_E_NOT_SUPPORTED_FOR_SETTING_SYSOBJECT_ATTRIBUTE, DM_DFC_E_OBJECT_DISCONNECTED, DM_DFC_E_OBJECT_NOT_INITIALIZED, DM_DFC_E_PATH_NOT_FOUND, DM_DFC_E_RD_NO_SAVED_CONTENT, DM_DFC_E_RD_STORE_NOT_RETENTION_ENABLED, DM_DFC_E_SERVER, DM_DFC_E_TYPE_MISMATCH, DM_DFC_E_TYPE_MISMATCH_ADD, DM_DFC_E_TYPE_MISMATCH_COMP, DM_DFC_E_TYPE_MISMATCH_GET, DM_DFC_E_TYPE_NOT_FOUND, DM_DFC_E_UNDEFINED, DM_DFC_E_UNKNOWN_OBJECT_TYPE, DM_DFC_EXCEPTION_CANNOT_CHANGE_ASSEMBLED_FROM_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_CHRONICLE_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_CONTENT_SIZE, DM_DFC_EXCEPTION_CANNOT_CHANGE_FROZEN_ASSEMBLY_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_IMMUTABLE_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_INTERNAL_ATTRIBUTE, DM_DFC_EXCEPTION_CANNOT_CHANGE_LINK_CNT, DM_DFC_EXCEPTION_CANNOT_CHANGE_LOCK_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_ID, DM_DFC_EXCEPTION_CANNOT_CHANGE_OBJECT_TYPE, DM_DFC_EXCEPTION_CANNOT_CHANGE_OWN_XPRIVILEGE, DM_DFC_EXCEPTION_CANNOT_CHANGE_REFERENCE_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_REPLICA_STATUS, DM_DFC_EXCEPTION_CANNOT_CHANGE_VERSION_LABELS, DM_DFC_EXCEPTION_CANNOT_CHANGE_VIRTUAL_DOC_STATUS, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_BOOLEAN_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFID_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_IDFLIST_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_INTEGER_EXPECTED, DM_DFC_EXCEPTION_ILLEGAL_ARGUMENT_STRING_EXPECTED, DM_DFC_EXCEPTION_MANDATORY_ATTRIBUTES_MISSING, DM_DFC_EXCEPTION_OBJECT_ID_MISMATCH, DM_DFC_EXCEPTION_OBJECT_TYPE_MISMATCH, DM_DFC_EXCEPTION_REPEATING_ATTRIBUTE_NOT_SET, DM_DFC_EXCEPTION_SYS_OBJECT_ALREADY_EXISTS, DM_DFCBP_E_ALIAS_ALREADY_EXISTS, DM_DFCBP_E_ALIAS_NOT_EXIST, DM_DFCCOLL_E_BAD_QUERY_TYPE, DM_DFCCOLL_E_BAD_STATE, DM_DFCCTXTMGR_E_GETCONTEXT, DM_DFCQB_BAD_TIME_PATTERN, DM_DFCQB_FILE_ERROR, DM_DFCQB_INTERNAL_ERROR, DM_DFCQB_NO_PATH_SPECIFIED, DM_DFCRM_E_OBJCARR_ERROR, DM_DFCSESS_E_BAD_ADOPT_SESSID, DM_DFCSESS_E_DISCONNECTED, DM_DFCSESS_E_FAILED, DM_DFCSESS_E_FAILED_EX, DM_DFCSESS_E_ILLEGAL_OP, DM_DFCSP_INVALID_CUSTOM_RULE, DM_DFCSP_NO_RULES, DM_DFCSP_NOT_SUBTYPE_OF_SYSOBJECT_ERROR, DM_DFCSP_RELATION_EXISTS_ERROR, DM_DFCSP_RF_NO_ATTRIBUTE, DM_DFCSP_RF_NO_DATA_TYPE, DM_DFCSP_RF_NO_RELATION_OP, DM_DFCSP_RF_NO_VALUE, DM_DFCSP_RF_TYPE_OP_MISMATCH, DM_DFCSP_RL_FACTORS_OPS_MISMATCH, DM_DFCSP_RL_NO_FACTORS, DM_DFCSP_RL_NO_LOGIC_OP, DM_DFCSP_RL_NO_STORAGE, DM_DFCSP_RULE_VALIDATION_ERROR, DM_DFCSP_RULES_NOT_RENDERED_ERROR, DM_DFCSP_STORAGE_POLICY_ERROR, DM_DFCSP_STORAGE_POLICY_NOT_SAVED_ERROR, DM_DFCWF_E_APPEND_NOTE, DM_DFCWF_E_BAD_OBJECT, DM_DFCWF_E_BAD_TEMPLATE, DM_DFCWF_E_INVALID_GROUP, DM_DFCWF_E_MISSING_TEMPLATE, DM_DFCWF_E_NO_OBJECT, DM_DFCWF_E_NO_USER, DM_DFCWF_E_START_FAILED, DM_DFCWF_E_USER_LIMIT, DM_EXPR_E_EVALUATE, DM_EXPR_E_EVALUATOR_LOAD_FAIL, DM_EXPR_E_PARSE, DM_EXPR_E_PARSE_LOAD_FAIL, DM_NOTDFC_E_EXTERNAL, DM_NOTDFC_E_JAVA, DM_TEMPVDM_E_ERROR, DM_VALIDATION_E_ATTR_RULES, DM_VALIDATION_E_ATTR_RULES_NO_VAL, DM_VALIDATION_E_DATATYPE, DM_VALIDATION_E_ERROR, DM_VALIDATION_E_EXCESS_LEN, DM_VALIDATION_E_EXPR, DM_VALIDATION_E_FORMAT, DM_VALIDATION_E_OBJ_EXPR, DM_VALIDATION_E_OBJ_NULL_DATA, DM_VALIDATION_E_OBJ_RULES, DM_VALIDATION_E_USE_VALUE_ASST, errorCorruptedFile, errorDirectoryDoesNotExist, errorDirectoryIsActuallyAFile, errorFileDoesNotExist, errorFileIsActuallyADirectory, errorNoPermissionToCreateDirectory, errorNoPermissionToCreateFile, errorNoPermissionToDetectExistanceOfDirectory, errorNoPermissionToDetectExistanceOfFile, errorNoPermissionToOpenExistingFileWithWriteAccess, errorNoPermissionToOpenFileWithReadAccess, errorReadingFile, errorWritingToExistingFile, errorWritingToNewFile`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfServiceException()`
  `DfServiceException(int errorCode, String message)`
  Deprecated.
  Alphanumeric identifiers are now used instead of numeric error codes
  `DfServiceException(com.documentum.fc.common.impl.MessageHelper messageHelper)`
  `DfServiceException(com.documentum.fc.common.impl.MessageHelper messageHelper, Throwable cause)`
  `DfServiceException(Object resource, String errorCode)`
  Deprecated.
  `DfServiceException(String message)`
  `DfServiceException(String message, Object[] arguments)`
  `DfServiceException(String message, Object[] arguments, Throwable cause)`
  `DfServiceException(String message, Throwable cause)`
  `DfServiceException(Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DfServiceException`
  `convertToServiceException(Exception e)`
  `static DfServiceException`
  `newDuplicateIdentityException(String docbaseName, String userName)`
  `static DfServiceException`
  `newNoDocbrokersException()`

  ### Methods inherited from class com.documentum.fc.common.DfException

  `appendException, convert, getArguments, getCount, getErrorCode, getMessage, getMessageHelper, getMessageId, getNextException, getProperties, getStackTraceAsString, getTailException, getThreadInfo, materializedLightObjectException, newAlreadyMaterializedException, newApiBadType, newAspectMissingPropertyBag, newAuditTrailOutOfRangeException, newBadCacheTypeNameException, newBadClassException, newBadDataTypeException, newBadDateException, newBadDocbaseScopeIdException, newBadFlushArgException, newBadIdException, newBadTypeException, newCannotChangeSharedParentException, newCannotDestroyAspect, newCantApplyException, newCantExportDirtyObjectException, newCantFetchInvalidId, newCantWithOpenTranException, newClassNotFoundException, newDecodingFailedException, newDeserializeFailedException, newDynamicGroupUpdateException, newFailedPolicyUpdateException, newFlushDDCacheBadKeyException, newFlushDDCacheNoKeyException, newFlushRegistryCacheNoKeyException, newIllegalDateFormatException, newIllegalSBOAccessException, newInvalidAspectName, newInvalidDefaultValue, newInvalidNewObjectException, newInvalidTypeException, newMaterializationOptionMismatchException, newMultipleObjectsQualify, newNoCacheKeyException, newNoCacheNameException, newNoCacheTypeNameException, newNoEventNameException, newNoIdException, newProxyInstantiateFailedException, newQueryFailException, newQuerySessionClosedException, newReplicaAspectGenerationFailed, newRetentionOnParkedContentDisabled, newSerializeFailedException, newShareableTypeMismatchException, newTransactionActiveException, newTransactionLostException, newUnsupportedLoginTicketObjectVersionException, newUpdateBadAttrException, newWrongCacheNameException, noLightweightParentTypeException, notShareableParentTypeException, parseException, printStackTrace, printStackTrace, registerResourceBundle, setErrorCode, setErrorCodeRaw, setIncludeStackTraceInMsg, setMessage, setNextException, toString, toStringForCOM`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DM_VEL_ERROR

    public static final int DM_VEL_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_VEL_SERVICE_NOT_FOUND

    public static final int DM_VEL_SERVICE_NOT_FOUND
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_VEL_INSTANTIATION_ERROR

    public static final int DM_VEL_INSTANTIATION_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_VEL_DBOR_IO_ERROR

    public static final int DM_VEL_DBOR_IO_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_VEL_PRINCIPAL_ERROR

    public static final int DM_VEL_PRINCIPAL_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_VEL_CANNOT_AUTHENTICATE

    public static final int DM_VEL_CANNOT_AUTHENTICATE
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_VEL_IDENTITY_ERROR

    public static final int DM_VEL_IDENTITY_ERROR
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

  - ### DM_VEL_DBOR_NOT_FOUND

    public static final int DM_VEL_DBOR_NOT_FOUND
    Deprecated.
    The alphanumeric identifiers should be used instead
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DfServiceException

    public DfServiceException()

  - ### DfServiceException

    public DfServiceException(Throwable cause)

  - ### DfServiceException

    public DfServiceException(String message)

  - ### DfServiceException

    public DfServiceException(String message, Throwable cause)

  - ### DfServiceException

    public DfServiceException(String message, Object[] arguments)

  - ### DfServiceException

    public DfServiceException(String message, Object[] arguments, Throwable cause)

  - ### DfServiceException

    public DfServiceException(com.documentum.fc.common.impl.MessageHelper messageHelper)

  - ### DfServiceException

    public DfServiceException(com.documentum.fc.common.impl.MessageHelper messageHelper, Throwable cause)

  - ### DfServiceException

    public DfServiceException(int errorCode, String message)
    Deprecated.
    Alphanumeric identifiers are now used instead of numeric error codes
    Constructs a DfServiceException object. The error message is obtained from the DFC ResourceBundle using a stringified version of the error code.
    Parameters:
      `errorCode` - the error code associated with this exception
      `message` - message

  - ### DfServiceException

    public DfServiceException(Object resource, String errorCode)
    Deprecated.
    Constructs a DfServiceException object with the default DM_VEL_ERROR error code. We must specify a resource bundle to be used to map the error messages.
    Parameters:
      `resource` - resource bundle name (String) or class which corresponds to the resource bundle name
      `errorCode` - the error code associated with this exception. Use underscore to separate words.

- ## Method Details

  - ### newDuplicateIdentityException

    public static DfServiceException newDuplicateIdentityException(String docbaseName, String userName)

  - ### convertToServiceException

    public static DfServiceException convertToServiceException(Exception e)

  - ### newNoDocbrokersException

    public static DfServiceException newNoDocbrokersException()